Package org.apache.sling.repoinit.parser.operations

# Class DisableServiceUser

java.lang.Object
org.apache.sling.repoinit.parser.operations.Operation
org.apache.sling.repoinit.parser.operations.ServiceUserOperation
org.apache.sling.repoinit.parser.operations.DisableServiceUser

@ProviderType public class DisableServiceUser extends ServiceUserOperation

## Field Summary

### Fields inherited from class org.apache.sling.repoinit.parser.operations.ServiceUserOperation

`username`

### Fields inherited from class org.apache.sling.repoinit.parser.operations.Operation

`DQUOTE`

## Constructor Summary

Constructors
Constructor
Description
`DisableServiceUser(String username, String reason)`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(OperationVisitor v)`
`@NotNull String`
`asRepoInitString()`
Converts this operation instance to a RepoInit string representation including the current operation parameters.
`String`
`getParametersDescription()`
`String`
`getPath()`
`String`
`getReason()`
`boolean`
`isForcedPath()`
`boolean`
`isServiceUser()`
`void`
`setServiceUser(boolean b)`

### Methods inherited from class org.apache.sling.repoinit.parser.operations.ServiceUserOperation

`getUsername`

### Methods inherited from class org.apache.sling.repoinit.parser.operations.Operation

`cleanupQuotedString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DisableServiceUser

public DisableServiceUser(String username, String reason)

## Method Details

### setServiceUser

public void setServiceUser(boolean b)

### getParametersDescription

public String getParametersDescription()

Overrides:
  `getParametersDescription` in class `ServiceUserOperation`

### asRepoInitString

@NotNull public @NotNull String asRepoInitString()
Description copied from class: `Operation`
Converts this operation instance to a RepoInit string representation including the current operation parameters. The representation must be parsable back into an equivalent operation and must end with a OS-compatible line separator.

Specified by:
  `asRepoInitString` in class `Operation`
Returns:
  the repoinit string for the operation

### accept

public void accept(OperationVisitor v)

Specified by:
  `accept` in class `Operation`

### getReason

public String getReason()

### isServiceUser

public boolean isServiceUser()

### getPath

public String getPath()

### isForcedPath

public boolean isForcedPath()